apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: gcs-auth-secret
  # annotations:
  #   configmanagement.gke.io/cluster-selector: do-not-schedule
spec:
  refreshInterval: 1m
  secretStoreRef:
    kind: ClusterSecretStore
    name: gcp-secret-store
  target:                                           # K8s secret definition
    name: gcs-model-auth-secret
    # template:
    #   data:
    #     creds-gcp.json: "{{ .data | toString }}"  # matches secretKey
    creationPolicy: Owner
  data:
  - secretKey: creds-gcp.json                       #  (see above) secret field name to be this
    remoteRef:
      key: gcs-auth-secret                          # The GCP Secret
